import { Digit, InputNumber, NumberData, Period, ReadingConfig } from './type.js';
export declare function readLastTwoDigits(config: ReadingConfig, b: Digit, c: Digit, readZeroTen: boolean): string[];
export declare function readThreeDigits(config: ReadingConfig, a: Digit, b: Digit, c: Digit, readZeroHundred: boolean): string[];
export declare function removeThousandsSeparators(config: ReadingConfig, number: string): string;
export declare function trimRedundantZeros(config: ReadingConfig, number: string): string;
export declare function addLeadingZerosToFitPeriod(config: ReadingConfig, number: string): string;
export declare function zipIntegralPeriods(config: ReadingConfig, digits: Digit[]): Period[];
export declare function parseNumberData(config: ReadingConfig, number: string): NumberData;
export declare function readIntegralPart(config: ReadingConfig, periods: Period[]): string[];
export declare function readFractionalPart(config: ReadingConfig, digits: Digit[]): string[];
export declare function readNumber(config: ReadingConfig, numberData: NumberData): string;
export declare function doReadNumber(config: ReadingConfig, number: InputNumber): string;
